Subject: Re: Request to add linux-kselftest test branch

From: Shuah Khan <[email-masked]>
Date: Mon, 30 Sep 2019 16:00:16 -0600

On 9/30/19 3:47 PM, Brendan Higgins wrote:
> On Mon, Sep 30, 2019 at 2:39 PM Stephen Rothwell <[email-masked]> wrote:
>>
>> Hi Shuah,
>>
>> On Mon, 30 Sep 2019 10:05:28 -0700 Brendan Higgins <[email-masked]> wrote:
>>>
>>> On Thu, Sep 26, 2019 at 9:53 AM Shuah Khan <[email-masked]> wrote:
>>>>
>>>> On 9/26/19 9:05 AM, Mark Brown wrote:
>>>>> On Wed, Sep 25, 2019 at 01:30:15PM -0600, Shuah Khan wrote:
>>>>>
>>>>>> Please add the following linux-kselftest test branch to linux-next.
>>>>>
>>>>>> https://git.kernel.org/pub/scm/linux/kernel/git/shuah/linux-kselftest.git/log/?h=test
>>>>>
>>>>>> please let me know if you have questions.
>>>>>
>>>>> OK, I've added that now - I did actually merge it in by hand
>>>>> yesterday too.  It looks like it's for kunit so I guess Brendan
>>>>> should be in the CC list for any issues too?  Hopefully Stephen
>>>>> will see these mails when he gets back but it's worth checking
>>>>> and following up to make sure that he picks it up after he gets
>>>>> back on the 30th.
>>>
>>> Just following up since Mark suggested that it might be a good idea to
>>> do so and it doesn't look like the linux-kselftest test branch is
>>> currently in next-20190930.
>>
>> Brendan, thanks for the reminder.
>>
>> I have added this tree form today and called it kunit, I hope that is
>> OK.
> 
> Great! Thanks!
> 
>> Is this meant to be the updates for the next merge window, or fixes for
>> the current releasel?  I ask because I notice that you also have a
>> "next" branch that Linus has merged for the current merge window.
> 
> Linus had a minor complaint with the KUnit patches, so we had to fix
> them and pull them out into a separate branch. We didn't get enough
> coverage on the updated patches in time for rc1, so we are hoping we
> can get away with sending them in as part of rc2; if that doesn't work
> then it will be for the next merge window.
> 

The content was originally intended for rc1. Because the move to new
location happened smack in the middle of the  merge window, my concern
is that it didn't get reviews. So on one hand I am hopeful it can get
into 5.4-rc2 or rc3, however there is no guarantee.

So this content might still make it into 5.4, or might end up staying
in linux-next until 5.5

thanks,
-- Shuah